<template>
  <div class="tabs-container">
    <div class="tabs">
      <div
        class="tab"
        v-for="(item, index) in tabsData"
        :key="index"
        :class="{ active: activeIndex === index }"
        @click="handleItemClick(item, index)"
      >
        {{ item.name }}
      </div>
    </div>
    <div class="tab-content">
      <template v-for="(tab, index) in tabsData">
        <div
          v-if="activeIndex === index"
          :key="index"
        >
          <slot :name="tab.id" />
        </div>
      </template>
    </div>
  </div>
</template>

<script>
export default {
  name: "ReTab",
  props: {
    tabsData: {
      type: Array,
      default: () => [{ id: String, name: String }],
      required: true,
    }, // 导航项
    value: {
      type: Number,
      default: 0,
    }, // v-model 绑定的值
  },
  watch: {
    value(newValue) {
      this.activeIndex = newValue;
    },
    activeIndex(newActiveIndex) {
      this.$emit('input', newActiveIndex);
    },
  },
  data() {
    return {
      activeIndex: 0,
    };
  },
  methods: {
    handleItemClick(item, index) {
      if (item.disable) return
      this.activeIndex = index;
      this.$emit('item-click', item);
    },
  },
};
</script>

<style scoped lang="scss">
.tabs-container {
  height: 100%;
  box-sizing: border-box;
}

.tab-content {
  height: 100%;
  padding: 43px 20px;
  box-sizing: border-box;
}

.tabs {
  display: flex;
  justify-content: start;
  align-items: center;
  height: 50px;
  padding: 0 20px;
}

.tab {
  margin-right: 42px;
  font-size: 28px;
  letter-spacing: 0.06em;
  color: #919395;

  &:nth-last-child(1) {
    margin-right: 0 !important;
  }
}

.tab.active {
  border-bottom: 5px solid #4293ee;
  font-size: 36px;
  font-weight: 500;
  letter-spacing: -0.01em;
  color: #090909;
}
</style>
